# Gimp.Drawable.get_sub_thumbnail

    @accepts(Gimp.Drawable, int, int, int, int, int, int, Gimp.PixbufTransparency)
    @returns(GdkPixbuf.Pixbuf)
    def get_sub_thumbnail(self, src_x, src_y, src_width, src_height, dest_width, dest_height, alpha):
        # Python wrapper for gimp_drawable_get_sub_thumbnail()

Retrieves a thumbnail pixbuf for the drawable identified by self. The thumbnail will be not larger than the requested size.

Since 2.2

self

  the drawable ID

src_x

  the x coordinate of the area

src_y

  the y coordinate of the area

src_width

  the width of the area

src_height

  the height of the area

dest_width

  the requested thumbnail width (<= 1024 pixels)

dest_height

  the requested thumbnail height (<= 1024 pixels)

alpha

  how to handle an alpha channel

Returns